import '@/styles/globals.css'
import 'highlight.js/styles/atom-one-dark.css'

import hljs from 'highlight.js'
import { DefaultSeo } from 'next-seo'
import { useEffect } from 'react'

export default function App ({ Component, pageProps }) {
  useEffect(() => {
    hljs.highlightAll()
  }, [Component])

  return (
    <>
      <DefaultSeo defaultTitle='Aaron Yarborough' titleTemplate='%s | Aaron Yarborough' />
      <Component {...pageProps} />
    </>
  )
}
